package core.engine.terrain;

import core.engine.Loader;
import core.engine.model.HexagonModel;
import core.engine.model.RawModel;
import core.engine.model.TexturedModel;
import core.engine.textures.ModelTexture;
import utils.vectors.Vector3f;

import java.util.ArrayList;
import java.util.List;

public class Terrain {

    private List<TerrainTile> terrainTiles = new ArrayList<>();

    public Terrain(Loader loader, ModelTexture modelTexture) {
        HexagonModel hexagonModel = new HexagonModel();
        RawModel rawModel = loader.loadHexagon(hexagonModel);
        TexturedModel texturedModel = new TexturedModel(rawModel, modelTexture);
        for(int j=22; j>0; j--) {
            for(int i=-8; i<8; i++) {
                terrainTiles.add(new TerrainTile(texturedModel, new Vector3f(j - 0.75f *2,0, i* (float)(0.866*2)), 0, 30, 0, 1));
            }
        }
    }

    public List<TerrainTile> getTerrainTiles() {
        return terrainTiles;
    }
}
